@import 'calendar.css';
@import 'dist/jquery.fancybox.css';

@font-face {
    font-family: 'my_dreammedium';
    src: url('rc_my_dream_font-webfont.woff2') format('woff2'),
         url('rc_my_dream_font-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}


/* CORE STYLES */
:root {
    --white: #fff;
    --writing: #555;
    --black: #000; 
    --darkgrey: #222; 
    --alternate: #92c3cc;
    --alternate2: #80afb7;
    --darker: #63a8f0;
    --muchdarker: #4b6e99;
    --transblue: rgba(61, 107, 156, 0.8);
    --transgrey: rgba(0,0,0,0.2);
    --othercolour: #c14b4b;
    --othercolour2: #ed4e4e;
    --pale: #f0f0f0;
    --green: #9BC500; 
    --grey: #dedede; 
    --lightgrey: #EFF1F2;
    --transgrey: rgba(30,30,30, 0.6);
    --nearlywhite: #f7f9f9;
    --transred: rgba(237, 28, 36, 0.9);
    --halfgrey: rgba(30,30,30, 0.05);
    --transdark: rgba(0,0,0,0.8);
  }
body{
  background-color: var(--white);
  color: var(--writing); 
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif, Arial, Helvetica, sans-serif;
  margin: 0;
  position: relative;
}
input, textarea, select {
    font-family: system-ui, Open Sans, Arial, Helvetica, sans-serif;
	font-size: 1rem;
	padding: 7px;
	background-color: var(--white);
	border: 2px solid var(--green);
	max-width: 100%;
  color: var(--writing); 
}
a[href^="mailto:"], h1, h2 {
	overflow-wrap: break-word;
	word-wrap: break-word;
	-ms-word-break: break-all;
	word-break: break-all;
	word-break: break-word;
	-ms-hyphens: auto;
	-moz-hyphens: auto;
	-webkit-hyphens: auto;
	hyphens: auto;
}
table{
  width: 100%;
  border-collapse: collapse;
}
td{
  vertical-align: top;
  padding: 4px; 
}
img, 
.admin img{
  border: 0;
  max-width: 100%;
}
header {
  padding: 1rem 2rem;
  text-align: center;
  justify-content: center;
  align-items: center;
  color: var(--white); 
  font-family: "my_dreammedium";
  min-height: 250px;
}
header h1{
  font-size: 7rem;
  font-weight: 400;
  line-height: 7rem;
  margin-block: 1rem;
  text-shadow: 3px 3px 3px var(--transdark);
}
header h2{
  font-size: 3.5rem;
  font-weight: 400;
  line-height: 2rem;
  margin-block: 1rem;
  text-shadow: 1px 1px 3px var(--transdark);
}
main{
  margin-block: 0.5rem;
}
main > div{
  margin: auto; 
  max-width: 1400px;
  padding: 1rem 0.5rem; 
  line-height: 1.7;
}
main > div:has(.admin){
  max-width: 1600px;
}
main a{
  color: var(--darker); 
}
h2,
h1, 
h3{
  font-weight: normal;
}
main h2:first-of-type {
	font-size: 1.5rem;
	line-height: 1.5rem;
}
main ul ::marker{
  color: var(--darker); 
}
main .cottages{
  max-width: 1200px;
  margin: 5vw auto;
}
.cottages{

  color: var(--white);
  line-height: 1.4;
display: flex;
flex-flow: wrap; 
}
.cottages > div {
background-color: var(--darker); 
display: inline-block;
width: 30%; 
}
@supports(display:grid) {
.cottages{
gap: 10px;
display: grid;

}
.cottages > div {
display: block; 
width: auto;
}
}
.maintext + .cottages{
margin-top: 1vw;
}

.cottages > .desc, 
.cottages > .bookme {
padding: 20px;
}
.cottages > .facilities,
.facilities {
display: grid;
/* flex-flow: wrap; */
justify-content: center; 
align-items: center; 
max-width: 800px; 
margin: auto; 
grid-template-columns: 1fr 1fr;
}
.cottages .facilities {
margin: 0; 
}
.facilities img{
width: 50px; 	

}
.facilities > div {
text-align: center; 
flex: 1 1 auto;
padding: 10px; 
}
.cottages a{
color: var(--white);
text-decoration: none; 
}
.cottages a:hover{
background-color: var(--black); 
}
.cottages h3{
  font-weight: 400; 
}
.cottages h4{
  font-weight: 400; 
}
.cottages > div > img,
.cottages > div > a > img{
  width: 100%; 
  display: block; 
  aspect-ratio: 3 / 2;
  object-fit: cover;
}
.cottages .toosmall{
display: none; 
}
@supports(aspect-ratio: 3 / 2){
.cottages > div > img,
.cottages > div > a > img{
aspect-ratio: 3 / 2;
height: auto;
}
}





/* navigation */
.navdiv{
    background-color: var(--darker);
    height: fit-content;
}
nav{
	display: none;
}
.menuslider > div{
	font-size: 2rem;
	color: var(--white); 
	white-space: nowrap;
	margin: auto;
  }
  .menuslider > div img{
	/* transform: rotate(90deg); */
	vertical-align: middle;
	transition: 1.2s;
	padding: 1rem;
	width: 40px; 
	z-index: 2; 
	position: relative;
  }
  .sidebar h4{
	font-size: 2rem;
	font-weight: 400; 
  }
  .menuslider{
	width: 100%; 
	display: grid;
	align-content: center;
	justify-content: center;
	border: 0; 
	cursor:pointer; 
	position: relative;
	background-color: transparent;
  }
  .menuslider[data-state="closed"] + .mobilenav,
  .menuslider[aria-expanded="false"] + .mobilenav {
	pointer-events: none;
  } 
  .menuslider[data-state="opened"] + .mobilenav,
  .menuslider[aria-expanded="true"] + .mobilenav {
	  transform: translateX(0);
	  visibility: visible;
	  opacity: 1;
  }
  .menuslider[data-state="opened"]  > div img,
  .menuslider[aria-expanded="true"]  > div img{
	transform: rotate(-270deg);
  }
  .mobilenav{
	background-color: rgb(255,255,255, 0.9);
	backdrop-filter: blur(4px);
	box-shadow: 0 0 200px rgba(0, 0, 0, 0.3) inset;
	position: absolute;
	/* inset: 94px 0 auto 0;  */
	inset: 0;
	transform: translateY(-100svh);
	transition: 0.8s;
	opacity: 0;
	z-index: 1; 
	padding: 100px 0 0 0;
	line-height: 1.7;
	text-align: center;
  }
  .mobilenav a{
	text-decoration: none;
	color: #fff; 
	font-size: 1.1rem;
	transition: 0.3s;
	padding: 0.5rem 1rem; 
	display: block;
	background-color: var(--transblue);
  }
  .mobilenav a:hover{
	color: #fff; 
	background-color: #333;
  }
.bookingtable{
  text-align: center;
}
#inline1 {
	max-width: 800px;
	display: none;
    height: 80vh;
    margin: 3vw;
    line-height: 1.5;
}
.page{
  position: relative;
  display: grid;
}
.page > * {
  grid-column: 1/2;
}
.page > header{
  grid-row: 2/3;
  z-index: 1;
}
.page > .navdiv{
  z-index: 2;
  grid-row: 1/2;
}
.page > .bookings{
  grid-row: 3/4;
  z-index: 1;
}
.page > .hero{
    grid-row: 2/3;
    z-index: 0;
    background-position: center center;
    background-size: cover;
    box-shadow: 0 0 100px rgba(0, 0, 0, 0.3) inset;
    border-block: white solid 0.25rem;
}
.up{
    display: block;
    position: fixed;
    opacity: 0;
    bottom: 3rem;
    left: 3rem; 
    height: 2rem;
    width: 2rem; 
    transition: opacity 1s;
    z-index: 10;
}
.upbutton.up{
    opacity: 0.8;
    transition: 0.3s;
	mix-blend-mode: difference;
}
.upbutton.up:hover{
        transform: translateY(-2px);
        filter: drop-shadow(2px 2px 3px var(--transgrey));
}
.upbutton.up{
	filter: drop-shadow(2px 2px 1px var(--transgrey));
}
.iw{
  font-size: 0.6rem;
  text-align: right;
  padding: 0.5rem 2rem 0.5rem 2rem;
}
.iw a{
  color: var(--lightgrey); 
  text-decoration: none;

}
.bookings > form{
  display: grid;
  gap: 1rem; 
  color: var(--white); 
}
.bookings > form > div{
  text-align: center;
  padding: 1rem;
}
.bookings{
  align-self: end;
}
.bookings{
  text-align: center;
  color: var(--white);
  position: relative;
  /* z-index: 10; */
}
.bookings form{
  display: grid;
  justify-content: center;
  gap: 0.25rem; 
  grid-template-columns: 1fr;
}
.bookings form > *{
  background-color: var(--muchdarker);
}
/* .bookings form > div{
  padding: 0.5rem; 
  background-color: var(--alternate);
} */
.bookings input, .bookings select, .bookings input[type="submit"] {
  background-color: var(--darker);
  color: var(--white);
  text-decoration: none;
  /* padding: 1rem 1.4rem;  */
  transition: 0.4s;
  font-size: 1rem;
max-width: 200px; 
text-align: center;
letter-spacing: 1px ; 
border: 0;
  appearance: none;
  margin-top: 5px;
  transition : 0.2s;
text-transform: uppercase; 
  width: 100%; 
  cursor: pointer; 
}
.bookings select option{
  text-align: center;
}
.bookings input[type=date]{
  max-width: 140px !important;
  width: 100%; 
text-align: center !important;
  /* padding: 1rem 1.4rem;  */
border: 0;
}
.bookings input:focus, 
.bookings select:focus, 
.bookings input[type="submit"]:focus,
.bookings input:hover, 
.bookings select:hover, 
.bookings input[type="submit"]:hover {
  box-shadow: 0 0 0 var(--alternate);
}
.bookings div {
  vertical-align: baseline;
  display: contents;
}
.bookings label{
  display: block;
  padding: 0.5rem; 
  background-color: var(--darker);
  transition : 0.2s;
}
.bookings label:hover, 
.bookings label:hover input,
.bookings label:hover select{
  background-color: var(--muchdarker);
}
table tr:nth-child(2n+1) td{
  background-color: var(--halfgrey);
}
footer {
  background-color: var(--muchdarker);
  color: var(--white); 
  line-height: 1.7;
  box-shadow: 0 0 200px rgba(0, 0, 0, 0.1) inset;
  margin-top: 0.5rem;
}
footer a{
  color: var(--white); 
  text-decoration: none;
}
footer a:hover{
  text-decoration: underline;
  text-decoration-thickness: 2px;
}
footer > div:first-of-type{
  max-width: 1000px;
  margin: auto; 
  display: grid;
  gap: 1rem; 
  padding: 2rem 1rem;
}
footer > div > div{
  padding: 1rem; 
}
.icons > div{
	display: flex;
	gap: 0.25rem; 
	flex-wrap: wrap;
}
.icons > div > div{
	flex: 1 1 200px; 
	display: grid;
	justify-content: center;
	align-items: center;
	background-color: var(--darker);
	box-shadow: 0 0 100px rgba(0, 0, 0, 0.1) inset;
	/* border-radius: 1rem; */
	padding: 2rem; 
	transition: background-color 0.4s;
	color: var(--white); 
	gap: 1rem; 
	text-align: center;
}
.icons > div > div > a{
	display: grid;
	gap: 1rem; 
	color: #fff; 
	text-decoration: none;
	text-align: center;
}
.icons img{
	height: 45px; 
	display: block;
	margin: auto;
}
.icons > div > div:has(a:hover){
	background-color: var(--darker);
}
.icons{
	display: block;
	margin-block: 0.5rem; 
}
.icons > div >  div:has(a){
  background-color: var(--muchdarker);
}
.frontimages{
  display: grid;
  gap: 0.5rem; 
  margin-top: 0.5rem;
}
.frontimages img{
  display: block;
}
.grid#pictures, 
.flex.pictures{
    display: flex;
    flex-wrap: wrap;
    gap: 10px; 
}

.grid#pictures > div, 
.flex.pictures > div{
    flex: 1 1 250px; 

}
div#contact{
  display: grid;
}
#contact textarea:focus,
#contact input[type=text]:focus,
#contact input[type=email]:focus,
#contact input[type=email] :focus
{
  border: 2px solid var(--alternate);
}

#contact input[type=submit],
#contact input[type=button]{
  background: var(--alternate);
  border: none;
  padding: 8px 10px 8px 10px;
  color: #fff;
width: 300px;
}
#contact input[type=submit]:hover,
#contact input[type=button]:hover{
background: #394D61;
}
#contact input:not([type="submit"]),
#contact textarea {
  border: 2px solid var(--alternate);

}
#contact:focus-within input:not([type="submit"]):invalid,
#contact:focus-within textarea:invalid {
border: 2px solid red !important;

}
#contact:focus-within input:not([type="submit"]):valid,
#contact:focus-within textarea:valid {
border: 2px solid green !important;

}
#contact:focus-within input[type="radio"]:invalid{
outline: 2px solid red;
  outline-offset: 2px;
}
#contact div:nth-of-type(4n+3), 
#contact div:nth-of-type(4n+4){
  background-color: var(--nearlywhite);
}
#contact > div{
  position: relative;
  padding: 1rem;
}
#contact > div:has(textarea:required)::after, 
#contact > div:has(input:required)::after, 
#contact > div:has(select:required)::after{
  content: "\002A";
  color: #800; 
  font-size: 2rem;
  inset: 0 1rem auto auto; 
  position: absolute;
}
/* #contact > div:has(textarea:required)::after{
  inset: 0 -1rem auto auto; 
} */
.oops{
  font-size: 10rem; 
  float: left; 
  margin: 1rem; 
}
.button{
  background-color: var(--muchdarker);
  color: var(--white);
  padding: 1rem 2rem;
  border-radius: 8px;
  border: 0;
  transition: background-color 0.4s;
  cursor: pointer;
  margin-block: 1rem;
}
.button:hover{
  background-color: var(--alternate);
}
main p, 
main ul, 
main h1, 
main h2, 
main h3, 
main h4, 
main form, 
#form, 
.four04, 
form:has(.paypal) {
	max-width: 800px;
	margin-inline: auto;
}
.admin *{
  max-width: none;
}

#map{
  height: 500px; 
}
.cottages.bookingtable .fade{
  opacity: 0.5;
}
.moreferries{
	display: none; 
}
tr:has(select.wightlink[data-chosen='yes']) ~ .moreferries {	
	display: table-row; 
}
form .paypal{
  border: 0;
  background: transparent; 
}









@media only screen and ( min-width: 500px ) {
  :root {
  --nearlywhite: rgba(0,0,0,0.05);
  } 
.grid#pictures > div#video{
  background-color: var(--pale);
  text-align: center;
}
.grid#pictures > div > img{
      width: 100%;
      height: 100%;
  display: block; 
  }
  @supports(display: grid) {
  .grid#pictures{
      display: grid;
      grid-template-columns: repeat(auto-fill,minmax(calc(150px + 10vw), 1fr));
      justify-items: center;
      margin-block: 0.5rem;

  }
  }
  @supports(gap: 10px){
      .grid#pictures > div{
          margin: 0;
      }
  }
  
  @supports(object-fit: cover){
  .grid#pictures > div > img,
  .grid#pictures > div > a img, 
  .flex.pictures > div > a img{
      object-fit: cover;
      height: 100%;
      width: 100%;  
      display: block;
  }
  .grid#pictures > div, 
  .flex.pictures > div {
      /* height: 25vh; */
      width: 100%;
      max-height: 500px; 
      aspect-ratio: 1/1;
  }
  }
}



@media only screen and ( min-width: 800px ) {
  main{
    background-color: var(--muchdarker);
    color: var(--white);
  }
  main a{
    color: var(--white); 
  }
  .button{
    background-color: var(--muchdarker);
  }
  .cottages.bookingtable > div > a > img{
    height: 100%; 
  }
  .icons > div{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-auto-rows: auto auto;
    gap: 0.5rem; 
  }
  .icons > div > div{
    grid-template-rows: subgrid;
    grid-row: span 2; 
  }
  .frontimages{
    grid-template-columns: 1fr 1fr;
  }
  .bookings form{
    grid-template-columns: 1fr 1fr;
    gap: 0.5rem;
    }
    .cottages {
      grid-template-columns: 1fr 1fr 1fr;
    }
  
      div#contact{
        grid-template-columns: 1fr 1fr;

    }
	input, textarea, select {
        border: 1px solid var(--darker);
        background-color: var(--white);
        max-width: 100%;
        font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif; 
        font-size: 1rem;
        padding: 7px;
    }
    #contact textarea, 
    #contact input:not([type="radio"]):not([type="checkbox"]){
        width: 280px;
    } 
    #contact select{
        width: 296px; 
    }
	.form.contactform > div:has(input[type="radio"]) {
		display: grid;
		grid-template-columns: 3fr 2fr;
	}
	.form.contactform   input[type="radio"]{
		width: 20px; 
	}
  .ratings{
    text-align: center;
  }
  .four04{
    font-size: 8rem;
    line-height: 1;
    margin: 0.25rem auto;
}

/* kevin powell grid centering */
.container{
  container-type: inline-size;
}
.grid#pictures {
  display: grid;
  gap: 0.5rem;
  /*   grid-template-columns: repeat(calc(var(--column-count, 3) * 2), 1fr); */
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));

  @container (width >= calc(150px * 2 + 0.5rem)) {
    div {
      grid-column: span 2;
    }
  }

  @container (calc(150px * 4 + 1.5rem) < width < calc(150px * 6 + 2.5rem) ) {
    div:last-child:nth-child(odd) {
      grid-column: 2 / span 2;
    }
  }

  @container (calc(150px * 6 + 2.5rem) < width < calc(150px * 8 + 3.5rem)) {
    div:nth-child(3n + 4):last-child {
      grid-column: 3 / 5;
    }

    &:has(:nth-child(3n + 5):last-child) > :nth-last-child(2) {
      grid-column: 2 / 4;
    }
  }

  @container (calc(150px * 8 + 3.5rem) < width < calc(150px * 10 + 4.5rem)) {
    div:nth-child(4n + 5):last-child {
      grid-column: 4 / 6;
    }

    &:has(:nth-child(4n + 6):last-child) > :nth-last-child(2) {
      grid-column: 3 / 5;
    }

    &:has(:nth-child(4n + 7):last-child) > :nth-last-child(3) {
      grid-column: 2 / 4;
    }
  }


@container (calc(150px * 10 + 4.5rem) < width < calc(150px * 12 + 5.5rem)) {
  div:nth-child(5n + 6):last-child {
    grid-column: 5 / 7;
  }

  &:has(:nth-child(5n + 7):last-child) > :nth-last-child(2) {
    grid-column: 4 / 6;
  }

  &:has(:nth-child(5n + 8):last-child) > :nth-last-child(3) {
    grid-column: 3 / 5;
  }

  &:has(:nth-child(5n + 9):last-child) > :nth-last-child(4) {
    grid-column: 2 / 4;
  }

}
}


}


@media(min-width: 1200px){
  /* .navdiv, 
  .bookings{
    margin: 1rem
} */
 .navdiv, 
 .bookings{
  opacity: 0.9;
 }
 .navdiv{
  padding: 1rem;
 }
 /* .bookings{
  padding-bottom: 0.5rem; 
 } */
 .page > .hero{
  grid-row: 1/4;
  z-index: 0;
  background-position: center center;
  background-size: cover;
  box-shadow: 0 0 100px rgba(0, 0, 0, 0.3) inset;
  border-block: 0;
}
.page header {
  min-height: 450px;
  display: grid;
}
    header h1{
        font-size: 14rem;
        line-height: 10rem;
    }
    header h2{
        font-size: 4rem;
        line-height: 4rem;
    }
    .bookings input, .bookings select, .bookings input[type="submit"] {
      width: 200px; 
      }
      .bookings input[type=date]{
      width: 160px; 
      }
      .bookings form{
      grid-template-columns: 1fr 1fr 1fr 1fr;
      gap: 0.5rem;
      }
      .bookings label{
        padding: 2rem; 
      } 
      main > div{
        padding: 2rem; 
      }
      footer > div{
        grid-template-columns: 1fr 1fr 1fr;
      }
      body{
        background-color: var(--lightgrey);
      }
      .container{
        background-color: var(--white);
        margin: 1rem; 
        border-radius: 1rem;
      }
      /* .page{
        border-radius: 1rem 1rem 0 0 ;
      }
      .navdiv{
        border-radius: 0.75rem 0.75rem 0 0 ;
      }
      footer{
        border-radius: 0 0 1rem 1rem;
      } */
      .icons.front > div{
        grid-template-columns: repeat(8, 1fr);
      }
      .accom .icons > div{
        grid-template-columns: 1fr 1fr 1fr;
        gap: 0.5rem;
        height: 100%;
        align-content: space-evenly;
      }
      .accom .icons > div > div:nth-child(9){
        display: grid;
      }
      .accom .icons{
        padding: 0.5rem;
        background-color: var(--darker);
        height: calc(100% - 1rem);
      }
      .accom{
        grid-template-columns: 2fr 1fr;
        gap: 0; 
      }
      .accom .icons > div > div{
        padding: 0.5rem; 
        box-shadow: none;
        text-align: center;
      }
      .icons > div >  div:has(a){
        grid-column: span 2;
      }
      .frontimages{
        grid-template-columns: 1fr 1fr 1fr 1fr; 
      }





} 




@media only screen and ( min-width: 1200px ) and ( max-height: 1200px ) {
  /* .grid#pictures{
    grid-template-columns: repeat(5,1fr);
  } */
  .page > .hero{
    background-attachment: fixed;
    min-height: calc(100svh - 1.5rem);
    display: grid;
    /* grid-template-columns: 1fr 3fr; */
  }
  /* .navdiv{
    grid-column: span 2;
    grid-row: 1/ 2;
  }
  header{
    grid-column: 2 /3 ;
    grid-row: 2 / 3;
  }
  .bookings{
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }
  .bookings > form{
    grid-template-columns: 1fr;
  } */
} 




@media only screen and ( max-width: 640px ) {

  .flow td,
  .flow th,
  .tariff td,
  .tariff th, 
  #contact td {
    display: block;
  
  }
  input:not([type='checkbox']), textarea {
    width: auto !important;
  } 
  .cottages > div:nth-of-type(3n){
    margin-bottom: 40px; 
  }
  .cottages {
    gap: 0;
  }
	.contact{
		display: block;
		text-align: center;
	}
	.contact div{
		display: inline-block;
	}
	.contact span{
		display: none;
	}
	.contact img{
		margin-right: unset;
	}
  header h1{
    font-size: 4rem;
    line-height: 1.1;
  }
  header h2{
    font-size: 2.5rem;
  }
	.hasdata{
		display: grid;
		gap: 1rem;
	}
	.hasdata tr{
		width: auto;
		display: block; 
	}
	.hasdata th{
		display: none;
	}
	.hasdata td[colspan="100%"]{
		display: block;
		background-color: rgba(0, 0, 0, 0.5) !important;
	}
	.hasdata td{
		display: grid;
		grid-template-columns: 1fr 1fr;
		gap: 1rem;
	}
	.hasdata td::before{
		content: attr(data-cell); 
		display: block;
	
	}
	.hasdata td:first-of-type{
		padding-top: 1rem !important;
	}
	.hasdata td:last-of-type{
		padding-bottom: 1rem !important;
	}
	.hasdata .to{
		display: none;
	}
  .page + .icons > div > div{
    background-color: var(--muchdarker);
  }
  }
  


